package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.exception.TranFailException;
import java.util.StringTokenizer;
import java.util.regex.Pattern;
import org.apache.commons.lang.StringUtils;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/AmtFormatAction.class */
public class AmtFormatAction extends LifeAction {
    private String amtFieldName;
    private boolean amtType = true;

    public String execute(Context context) throws GENEException {
        if (StringUtils.isBlank(this.amtFieldName)) {
            throw new TranFailException("EBLN0000", "配置的验证数据域、类型不能为空");
        }
        String str = "";
        StringTokenizer stField = new StringTokenizer(this.amtFieldName, "#");
        while (stField.hasMoreTokens()) {
            String field = stField.nextToken().trim();
            String strAmt = context.getDataValue(field) == null ? "" : (String) context.getDataValue(field);
            if (this.amtType) {
                if (!strAmt.equals("")) {
                    if (!Pattern.compile("^[0-9]+$").matcher(strAmt).matches()) {
                        throw new TranFailException("EBLN0000", "配置的验证数据域含有非数字字符");
                    }
                    long money = Long.parseLong(strAmt);
                    if (money != 0) {
                        long intAmt = money / 100;
                        String retStr = money % 100 < 10 ? "0" + (money % 100) : new StringBuilder().append(money % 100).toString();
                        str = String.valueOf(intAmt) + "." + retStr;
                    } else {
                        str = "0";
                    }
                } else {
                    str = "0";
                }
            } else {
                int dotPostion = strAmt.indexOf(46);
                if (dotPostion >= 0) {
                    if (Integer.parseInt(strAmt.substring(dotPostion + 1)) >= 0 && dotPostion >= 0) {
                        String decimalPart = strAmt.substring(dotPostion + 1);
                        String integerPart = strAmt.substring(0, dotPostion);
                        if (decimalPart.length() <= 2) {
                            if (decimalPart.length() == 1) {
                                str = String.valueOf(integerPart) + decimalPart + "0";
                            }
                            if (decimalPart.length() == 2) {
                                str = String.valueOf(integerPart) + decimalPart;
                            }
                        }
                    } else {
                        str = String.valueOf(strAmt) + "00";
                    }
                } else {
                    str = String.valueOf(strAmt) + "00";
                }
            }
            context.setDataValue(field, str);
        }
        return "0";
    }

    public String getAmtFieldName() {
        return this.amtFieldName;
    }

    public void setAmtFieldName(String amtFieldName) {
        this.amtFieldName = amtFieldName;
    }

    public boolean isAmtType() {
        return this.amtType;
    }

    public void setAmtType(boolean amtType) {
        this.amtType = amtType;
    }
}
